Bug 1410635 - add ibus-font-setting to Fedora RPM and maintenance patches.
Summary: add ibus-font-setting to Fedora RPM and maintenance patches.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 00:12 UTC by Bill
Modified: 2018-08-17 05:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-17 05:54:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Bill 2017-01-06 00:12:27 UTC
Description of problem:

"ibus-font-setting" for gnome is not a part of the Fedora RPM for ibus.  because of this, the user cannot control the font used to display the menu of characters matching the entered pinyin.  This in turn leads to those characters being too small to some users to recognize, distinguish, and select the characters consisting of a larger number of strokes.


Version-Release number of selected component (if applicable): 1.8.0?


How reproducible:

Ideally, one should check appropriate directories for the presence of appropriate files.  But I don't have the information for this approach.


Steps to Reproduce:
1. In gnome, open a new vi text file or LibreOffice document.
2. Activate ibus.
3. Enter the pinyin for a characters that consists of a lot of strokes.  Examples include the second character of the names of Anhui, Xizang, and Xinjiang provinces.  Note the size of the characters, and that they are not clear and crisp.
4. Abort the text file or document.
5. Try to find a way of changing the font used by ibus to display characters matching entered pinyin.


Actual results:

I could not find a way of getting ibus to use a bigger font.


Expected results:

There should be a way of choosing a bigger font.


Additional info:

I'm actually asking for two things:
1. "ibus-font-setting" for gnome in Fedora should be a part of the appropriate Fedora RPMs.
2. When I patch Fedora using "dnf upgrade", "ibus-font-setting" for Fedora gnome should be included in what can be patched by that command.

Comment 1 Bill 2017-01-06 00:51:06 UTC
This bugzilla was suggested during a private e-mail conversation with Peng Wu.

Comment 2 Jan Kurik 2017-08-15 06:25:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Jens Petersen 2017-09-13 03:04:31 UTC
See bug 1424963 :-)

Comment 4 Peng Wu 2018-08-17 05:54:39 UTC
The gnome-shell-extension-ibus-font rpm is in Fedora now.


Note You need to log in before you can comment on or make changes to this bug.